Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class HandlerAction.AutomaticWhenBound

    java.lang.Object
      ix.ip2.HandlerAction
          ix.ip2.HandlerAction.Automatic
              ix.ip2.HandlerAction.AutomaticWhenBound

Enclosing class:
  HandlerAction

    public static class HandlerAction.AutomaticWhenBound

extends HandlerAction.Automatic

Handles an issue by invoking one of the agent-level issue-handlers, but does not become ready until all of the variables in its AgendaItem's pattern are bound.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.HandlerAction
`HandlerAction.Automatic, HandlerAction.AutomaticWhenBound, HandlerAction.Manual, HandlerAction.NoAction, HandlerAction.NotApplicable`

Field Summary
`(package private) AgendaItem` | `item`

Fields inherited from class ix.ip2.HandlerAction.Automatic
`handler`

Fields inherited from class ix.ip2.HandlerAction
`shortDescription`

Constructor Summary
`HandlerAction.AutomaticWhenBound(AgendaItem item, ItemHandler h)`
`HandlerAction.AutomaticWhenBound(AgendaItem item, ItemHandler h, java.lang.String descr)`

Method Summary
`ActionUnreadyReason` | `getUnreadyReason()` Returns a reason giving the unbound variables in the agenda-item's pattern.
`boolean` | `isReady()` Returns true iff all variables in the pattern have values.

Methods inherited from class ix.ip2.HandlerAction.Automatic
`handle`

Methods inherited from class ix.ip2.HandlerAction
`canAlwaysBeTakenNow, computeStatus, getActionDescription, isStillValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### item

    AgendaItem item

Constructor Detail

### HandlerAction.AutomaticWhenBound

    public HandlerAction.AutomaticWhenBound(AgendaItem item,
                                            ItemHandler h)

### HandlerAction.AutomaticWhenBound

    public HandlerAction.AutomaticWhenBound(AgendaItem item,
                                            ItemHandler h,
                                            java.lang.String descr)

Method Detail

### isReady

    public boolean isReady()

  Returns true iff all variables in the pattern have values.

  Overrides:
    `isReady` in class `HandlerAction`
  See Also:
    `HandlerAction.getUnreadyReason()`

### getUnreadyReason

    public ActionUnreadyReason getUnreadyReason()

  Returns a reason giving the unbound variables in the agenda-item's pattern.

  Overrides:
    `getUnreadyReason` in class `HandlerAction`
  See Also:
    `HandlerAction.isReady()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD